package ui.model;

import classes.CpsEdge;

public class DecoratedCable {
	public enum DecoratedCableState{
		Working, Burned
	}
	private CpsEdge model;
	private DecoratedCableState state;
	private float flowEnergy;
	public DecoratedCable(CpsEdge edge, DecoratedCableState state, float flowEnergy){
		this.model = edge;
		this.state = state;
		this.flowEnergy = flowEnergy;
	}
	public CpsEdge getModel() {
		return model;
	}
	public DecoratedCableState getState() {
		return state;
	}
	public float getFlowEnergy() {
		return flowEnergy;
	}
}
