package ui.model;

import java.util.ArrayList;

public class DecoratedState {
	ArrayList<DecoratedNetwork> networkList = new ArrayList<DecoratedNetwork>();
	ArrayList<DecoratedCable> leftOverEdges = new ArrayList<DecoratedCable>();
	ArrayList<DecoratedSwitch> decoratedSwitches = new ArrayList<DecoratedSwitch>();
	public DecoratedState(ArrayList<DecoratedNetwork> networkList, ArrayList<DecoratedCable> leftOverEdges, ArrayList<DecoratedSwitch> decoratedSwitches){
		this.networkList = networkList;
		this.leftOverEdges = leftOverEdges;
		this.decoratedSwitches = decoratedSwitches;
	}
	public ArrayList<DecoratedNetwork> getNetworkList() {
		return networkList;
	}
	public ArrayList<DecoratedCable> getLeftOverEdges() {
		return leftOverEdges;
	}
	public ArrayList<DecoratedSwitch> getDecoratedSwitches() {
		return decoratedSwitches;
	}

}
